package com.ibeetl.admin.flow.dao;

import com.ibeetl.admin.flow.entity.DirectedFestivalProductEntity;
import com.ibeetl.admin.flow.entity.DirectedProductEntity;
import com.ibeetl.admin.flow.entity.DirectedSmsTemplateEntity;
import org.beetl.sql.core.annotatoin.SqlResource;
import org.beetl.sql.core.engine.PageQuery;
import org.beetl.sql.core.mapper.BaseMapper;

import java.util.List;

@SqlResource(value = "flow.festivalProduct")
public interface DirectedFestivalProductDao extends BaseMapper<DirectedFestivalProductEntity> {

    PageQuery<DirectedFestivalProductEntity> searchFestivalProduct(PageQuery<DirectedFestivalProductEntity> page);

    DirectedFestivalProductEntity findById(String id);

    DirectedFestivalProductEntity findByFescod(String fescod);

    void saveFestivalProduct(DirectedFestivalProductEntity entity);

    void deleteFestivalProductById(DirectedFestivalProductEntity entity);

    void deleteFestivalProductByFescod(DirectedFestivalProductEntity entity);

    List<DirectedProductEntity> findAllDirectedProduct();

    List<DirectedSmsTemplateEntity> findAllCpinfo();

    void updateFestivalProduct(DirectedFestivalProductEntity entity);
}
